<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://axelor.com/xml/ns/domain-models http://axelor.com/xml/ns/domain-models/domain-models_5.2.xsd">
 
  <module name="supplychain" package="com.axelor.apps.supplychain.db"/>
 
  <entity name="MrpLineSophal" lang="java">
      <many-to-one name="mrp" ref="com.axelor.apps.supplychain.db.Mrp" title="Mrp"/>
      <many-to-one name="product" ref="com.axelor.apps.base.db.Product" title="Product"/>
		  <decimal name="qty" title="Qty"/>
      <decimal name="january" title="January" />
      <decimal name="february" title="February" />
      <decimal name="march" title="March" />
      <decimal name="april" title="April" />
      <decimal name="may" title="May" />
      <decimal name="juin" title="Juin" />
      <decimal name="july" title="July" />
      <decimal name="august" title="August" />
      <decimal name="september" title="September" />
      <decimal name="october" title="October" />
      <decimal name="november" title="November" />
      <decimal name="december" title="December" />
      <!-- <integer name="scenario" title="Scenario"  selection="mrp.scenario.select"/> -->
      <many-to-one name="company" ref="com.axelor.apps.base.db.Company" title="Company" transient="true"/>
      <many-to-one name="unit" ref="com.axelor.apps.base.db.Unit" title="Unit" transient="true"/>
      <decimal name="securityStock" title="Security Stock" />
      <many-to-one name="productOrigin" ref="com.axelor.apps.base.db.Product" title="Product Origin"/>
      
      
    <extra-code><![CDATA[
        // AVAILABLE SCENARIOS
        public static final int MIN = 1;
        public static final int MAX = 2;
        public static final int HIST = 3;
      ]]></extra-code>


  </entity>

</domain-models>
